EDIT - feature request #6767

Allow to open multiple specimens selected in factual data view in the specimen editor

06/29/2017 11:02 PM - Patrick Plitzner

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

History

#1 - 04/21/2020 12:21 PM - Andreas Miuller

- Assignee changed from Patrick Plitzner to Katja Luther

04/19/2024
